# Class MathRoundBrackets

#### Hierarchy (view full)

- XmlComponent
  - MathRoundBrackets

- Defined in file/paragraph/math/brackets/math-round-brackets.ts:8

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

##
Constructors

### constructor

- new MathRoundBrackets(options): MathRoundBrackets

- #### Parameters

  - options: {
    children: readonly MathComponent[];
    }

    - ##### `Readonly` children: readonly MathComponent[]

  #### Returns MathRoundBrackets

  Overrides XmlComponent.constructor

  - Defined in file/paragraph/math/brackets/math-round-brackets.ts:9

##
Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - child: string | XmlComponent

  #### Returns XmlComponent

  #### Deprecated

  Do not use this method. It is only used internally by the library. It will be removed in a future version.

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:48

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20